#!/usr/bin/env python

import sys
import argparse
from pyraf import iraf


def crfix(frameid):
    infile = frameid + '.cr.fits'
    outfile = frameid + '.cr2.fits'
    maskfile = frameid + '.mask2.fits'

    # Not to display items in IRAF packages
    sys.stdout = open('/dev/null', 'w')
    iraf.noao()
    iraf.imred()
    iraf.crutil()
    sys.stdout = sys.__stdout__ # Back to the stadard output

    iraf.crfix(infile, outfile, maskfile)

    return

if __name__ == '__main__':
    parser=argparse.ArgumentParser(description='This is the script for '
                                   + 'correcting cosmic ray events from a mask file.')
    parser.add_argument('frameid', help='Frame ID.')
    args = parser.parse_args()
    
    crfix(args.frameid)
    
